{% extends "base.html" %}
{% load static i18n %}
{% load param %}
{% block content %}

<h4 style="background-color: rgb(255, 255, 255)">OpenLink</h4>


<div class="container">
    <h5></h5><i class="fa fa-user"></i> User Profile</h5>
    <ul>
        <li><b>Username:</b> {{ user.username }}</li>
        <li><b>email:</b> {{ user.email }}</li>
        <li><b>First name:</b> {{ user.first_name }}</li>
        <li><b>Last name:</b> {{ user.last_name }} </li>
        <li><b>Your team:</b> {% for team in user.profile.team.all %}
            {{ team }}
            {% endfor %} </li>
        <li><b>Project Tool list:</b></li>
    </ul>
    <table id="table" class="table table-bordered table-striped" style="text-align: center;" >
        <thead class="thead-dark">
            <tr >
                <th rowspan="1"> Project</th>
                {% comment %} <th rowspan="2"> Status </th> {% endcomment %}
                <th colspan="4"> Tools </th>
            </tr>
            <tr>
                <td style="background-color:#ADD8E6"><b>Name</b></td>
                <td class="img_logo_xs"><b>Name</b></td>
                <td class="img_logo_xs"><b>Author</b></td>
                <td class="img_logo_xs"><b>Async. Task</b></td>
                <td class="img_logo_xs"><b>Actions</b></td>
            </tr>
        </thead>
        <tbody>
            {% for project in list_project %}
                <div>
                    <tr>
                        <th rowspan="{{ project.get_tool_list.count|add:1 }}" ><a href="{% url 'core:projects-details' project.id %}">{{ project.name}}</a></th>

                        {% if not project.get_tool_list %}
                                <td></td>
                                <td></td>
                                <td></td>
                                <td></td>
                        {% endif %}
                    </tr>
                    {% for tool in project.get_tool_list %}
                            <tr>
                                <td>
                                    <a>{{ tool.name }}</a>
                                </td>
                                <td>
                                    {{ tool.author }}
                                </td>
                                <td>
                                    {% if tool in tool_list_shared %}
                                        Enabled
                                    {% else %}
                                        Disabled
                                    {% endif %}
                                </td>
                                <td>
                                    {% if tool in tool_list_linked %}
                                        <a  title="Link account" type="button"  class="btn-sm btn rounded btn-success"
                                            role=button href="{% url 'core:link-account' project.id tool.id %}">
                                             <i class="fa fa-link fa-1x tool ic-w mx-1"></i>
                                        </a>
                                    {% else %}
                                        <a  title="Link account"  type="button"  class="btn-sm btn rounded btn-danger"
                                            role=button href="{% url 'core:link-account' project.id tool.id %}">
                                             <i class="fa fa-link fa-1x tool ic-w mx-1"></i>
                                        </a>
                                    {% endif %}

                                    {% if tool.author == user %}
                                        <a  title="Edit" type="button" class="btn-sm btn rounded btn-primary"
                                            href="{% url 'core:tools-edit-project' project.id  tool.id %}"> <i class="fas fa-edit"></i></a>
                                        <a  title="Delete" type="button" class="btn-sm btn rounded btn-danger"
                                            role=button href="{% url 'core:delete_tool' project.id tool.id %}"> <i class="fa fa-trash-alt fa-1x"></i></a>
                                    {% endif %}

                                </td>
                            </tr>
                    {% endfor %}
                </div>
            {% endfor %}
        </tbody>
    </table>
    </li>
</ul>
</div>
</body>



{% endblock %}